Loading...
Searching...
No Matches
gvl2.c File Reference

OGSF library - loading and manipulating volumes. More...

`#include <string.h>`
`#include <grass/gis.h>`
`#include <grass/raster3d.h>`
`#include <grass/ogsf.h>`
`#include <grass/glocale.h>`
`#include "gsget.h"`
Include dependency graph for gvl2.c:

Go to the source code of this file.

## Functions

void | GVL_libinit (void)
| Library initialization for volumes.
void | GVL_init_region (void)
| Initialize 3D region.
int | GVL_get_region (float *n, float *s, float *w, float *e, float *t, float *b)
| Get region extent settings.
void * | GVL_get_window (void)
| Get window.
int | GVL_vol_exists (int id)
| Check if volume set exists.
int | GVL_new_vol (void)
| Create new volume set.
int | GVL_num_vols (void)
| Get number of loaded volume sets.
int * | GVL_get_vol_list (int *numvols)
| Get list of loaded volume sets.
int | GVL_delete_vol (int id)
| Delete volume set from list.
int | GVL_load_vol (int id, const char *filename)
| Load 3d raster map to volume set.
int | GVL_get_volname (int id, char *filename)
| Get volume set name.
void | GVL_get_dims (int id, int *rows, int *cols, int *depths)
| Get volume dimensions.
void | GVL_set_trans (int id, float xtrans, float ytrans, float ztrans)
| Set trans ?
int | GVL_get_trans (int id, float *xtrans, float *ytrans, float *ztrans)
| Get trans ?
void | GVL_set_draw_wire (int id, int draw_wire)
| Set drawing wire box.
void | GVL_draw_vol (int vid)
| Draw volume set.
void | GVL_draw_wire (int id)
| Draw volume in wire mode.
void | GVL_alldraw_vol (void)
| Draw all volume sets.
void | GVL_alldraw_wire (void)
| Draw all volume sets in wire mode.
int | GVL_Set_ClientData (int id, void *clientd)
| Set client data for volume set.
void * | GVL_Get_ClientData (int id)
| Get client data.
void | GVL_set_focus_center_map (int id)
| Set focus on map center.
void | GVL_isosurf_get_drawres (int id, int *xres, int *yres, int *zres)
| Get draw resolution for isosurface.
int | GVL_isosurf_set_drawres (int id, int xres, int yres, int zres)
| Set isosurface draw resolution.
int | GVL_isosurf_get_drawmode (int id, int *mode)
| Get isosurface draw mode.
int | GVL_isosurf_set_drawmode (int id, int mode)
| Set isosurface draw mode.
int | GVL_isosurf_add (int id)
| Add isosurface.
int | GVL_isosurf_del (int id, int isosurf_id)
| Delete isosurface.
int | GVL_isosurf_move_up (int id, int isosurf_id)
| Move up isosurface in list.
int | GVL_isosurf_move_down (int id, int isosurf_id)
| Move down isosurface in list.
int | GVL_isosurf_get_att (int id, int isosurf_id, int att, int *set, float *constant, char *mapname)
| Get isosurface attributes.
int | GVL_isosurf_unset_att (int id, int isosurf_id, int att)
| Unset isosurface attributes.
int | GVL_isosurf_set_att_const (int id, int isosurf_id, int att, float constant)
| Set constant isosurface attribute.
int | GVL_isosurf_set_att_map (int id, int isosurf_id, int att, const char *filename)
| Set isosurface map attribute.
int | GVL_isosurf_get_flags (int id, int isosurf_id, int *inout)
| Get isosurface flags.
int | GVL_isosurf_set_flags (int id, int isosurf_id, int inout)
| Set isosurface flags.
int | GVL_isosurf_num_isosurfs (int id)
| Get number of available isosurfaces.
int | GVL_isosurf_set_maskmode (int id, int isosurf_id, int mode)
| Set mask attribute mode.
int | GVL_isosurf_get_maskmode (int id, int isosurf_id, int *mode)
| Get isosurface mask mode.
void | GVL_slice_get_drawres (int id, int *xres, int *yres, int *zres)
| Get draw resolution of slice.
int | GVL_slice_set_drawres (int id, int xres, int yres, int zres)
| Set slice draw resolution.
int | GVL_slice_get_drawmode (int id, int *mode)
| Get slice draw mode.
int | GVL_slice_set_drawmode (int id, int mode)
| Set slice draw mode.
int | GVL_slice_add (int id)
| Add slice.
int | GVL_slice_del (int id, int slice_id)
| Delete slice.
int | GVL_slice_move_up (int id, int slice_id)
| Move up slice.
int | GVL_slice_move_down (int id, int slice_id)
| Move down slice.
int | GVL_slice_num_slices (int id)
| Get number or slices.
int | GVL_slice_get_pos (int id, int slice_id, float *x1, float *x2, float *y1, float *y2, float *z1, float *z2, int *dir)
| Get slice position.
int | GVL_slice_set_pos (int id, int slice_id, float x1, float x2, float y1, float y2, float z1, float z2, int dir)
| Get slice position.
int | GVL_slice_get_transp (int id, int slice_id, int *transp)
| Get slice trans ?
int | GVL_slice_set_transp (int id, int slice_id, int transp)
| Set slice trans ?

## Detailed Description

OGSF library - loading and manipulating volumes.

GRASS OpenGL gsurf OGSF Library

(C) 1999-2008 by the GRASS Development Team

This program is free software under the GNU General Public License (>=v2). Read the file COPYING that comes with GRASS for details.

Author
  Bill Brown UI-GMSL (May 1997) Tomas Paudits (February 2004)

Definition in file gvl2.c.

## Function Documentation

## GVL_alldraw_vol()

void GVL_alldraw_vol | ( | void |  | ) |

Draw all volume sets.

Definition at line 447 of file gvl2.c.

References GVL_draw_vol().

Referenced by gk_follow_frames(), and GK_show_vol().

## GVL_alldraw_wire()

void GVL_alldraw_wire | ( | void |  | ) |

Draw all volume sets in wire mode.

Definition at line 461 of file gvl2.c.

References GVL_draw_wire().

Referenced by Nviz_draw_quick().

## GVL_delete_vol()

int GVL_delete_vol | ( | int | id | ) |

Delete volume set from list.

Parameters

  id | volume set id

Returns
  1 on success
  -1 on error (invalid volume set id)

Definition at line 210 of file gvl2.c.

References G_debug(), gvl_delete_vol(), GVL_isosurf_del(), GVL_isosurf_num_isosurfs(), GVL_slice_del(), GVL_slice_num_slices(), and GVL_vol_exists().

Referenced by Nviz_new_map_obj().

## GVL_draw_vol()

void GVL_draw_vol | ( | int | vid | ) |

Draw volume set.

Parameters

  vid | volume set id

Definition at line 408 of file gvl2.c.

References gvl_get_vol(), gvld_vol(), and gvld_wind3_box().

Referenced by GVL_alldraw_vol(), and Nviz_draw_all_vol().

## GVL_draw_wire()

void GVL_draw_wire | ( | int | id | ) |

Draw volume in wire mode.

Parameters

  id | volume set id

Definition at line 429 of file gvl2.c.

References G_debug(), gvl_get_vol(), and gvld_wire_vol().

Referenced by GVL_alldraw_wire().

## GVL_Get_ClientData()

void * GVL_Get_ClientData | ( | int | id | ) |

Get client data.

Parameters

  id | volume set id

Returns
  pointer to client data
  NULL on error

Definition at line 504 of file gvl2.c.

References gvl_get_vol(), and NULL.

## GVL_get_dims()

void GVL_get_dims | ( | int | id,
|  | int * | rows,
|  | int * | cols,
|  | int * | depths )

Get volume dimensions.

Parameters

  | id | volume set id
  [out] | rows,cols,depths | number of rows, cols, depths

Definition at line 309 of file gvl2.c.

References G_debug(), and gvl_get_vol().

Referenced by Nviz_set_volume_attr_default().

## GVL_get_region()

int GVL_get_region | ( | float * | n,
|  | float * | s,
|  | float * | w,
|  | float * | e,
|  | float * | t,
|  | float * | b )

Get region extent settings.

Parameters

  [out] | n,s,w,e | north, south, west, east
  [out] | t,b | top, bottom

Returns
  1

Definition at line 79 of file gvl2.c.

References b, and t.

## GVL_get_trans()

int GVL_get_trans | ( | int | id,
|  | float * | xtrans,
|  | float * | ytrans,
|  | float * | ztrans )

Get trans ?

Parameters

  | id | volume set id
  [out] | xtrans,ytrans,ztrans | x/y/z trans values

Returns
  1 on success
  -1 on error

Definition at line 365 of file gvl2.c.

References gvl_get_vol().

## GVL_get_vol_list()

int * GVL_get_vol_list | ( | int * | numvols | ) |

Get list of loaded volume sets.

Must be freed if not needed!

Parameters

  [out] | numvols | number of volume sets

Returns
  pointer to list of volume sets
  NULL on error

Definition at line 181 of file gvl2.c.

References NULL.

Referenced by Nviz_draw_all_vol(), and Nviz_set_focus_map().

## GVL_get_volname()

int GVL_get_volname | ( | int | id,
|  | char * | filename )

Get volume set name.

Parameters

  | id | volume set id
  [out] | filename | name (must be allocated)

Returns
  -1 on error
  1 on success

Definition at line 286 of file gvl2.c.

References gvl_file_get_name(), gvl_get_vol(), NULL, and strcpy.

## GVL_get_window()

void * GVL_get_window | ( | void |  | ) |

Get window.

Todo
  gvl_file.c use this - change

Returns
  pointer to RASTER3D_Region struct (static)

Definition at line 98 of file gvl2.c.

## GVL_init_region()

void GVL_init_region | ( | void |  | ) |

Initialize 3D region.

Set region extent (N,S,W,E,T,B)

Definition at line 57 of file gvl2.c.

References NULL.

## GVL_isosurf_add()

int GVL_isosurf_add | ( | int | id | ) |

Add isosurface.

Parameters

  id | volume set id

Returns
  -1 on error (invalid volume set id
  1 on success

Definition at line 667 of file gvl2.c.

References G_debug(), gvl_get_vol(), and gvl_isosurf_init().

## GVL_isosurf_del()

int GVL_isosurf_del | ( | int | id,
|  | int | isosurf_id )

Delete isosurface.

Parameters

  id | volume set id
  isosurf_id | isosurface id

Returns
  -1 on error
  1 on success

Definition at line 704 of file gvl2.c.

References G_debug(), G_free(), gvl_get_vol(), gvl_isosurf_freemem(), and gvl_isosurf_get_isosurf().

Referenced by GVL_delete_vol().

## GVL_isosurf_get_att()

int GVL_isosurf_get_att | ( | int | id,
|  | int | isosurf_id,
|  | int | att,
|  | int * | set,
|  | float * | constant,
|  | char * | mapname )

Get isosurface attributes.

Parameters

  | id | volume set id
  | isosurf_id | surface id
  | att | attribute id
  [out] | set |
  [out] | constant |
  [out] | mapname |

Returns
  -1 on error
  1 on success

Definition at line 815 of file gvl2.c.

References G_debug(), gvl_file_get_name(), gvl_isosurf_get_att_src(), gvl_isosurf_get_isosurf(), and strcpy.

## GVL_isosurf_get_drawmode()

int GVL_isosurf_get_drawmode | ( | int | id,
|  | int * | mode )

Get isosurface draw mode.

Parameters

  | id | volume set id
  [out] | mode | draw-mode

Returns
  1 on success
  -1 on error

Definition at line 618 of file gvl2.c.

References gvl_get_vol().

## GVL_isosurf_get_drawres()

void GVL_isosurf_get_drawres | ( | int | id,
|  | int * | xres,
|  | int * | yres,
|  | int * | zres )

Get draw resolution for isosurface.

Todo
  error handling

Parameters

  | id | volume set id
  [out] | xres,yres,zres | x/y/z resolution value

Definition at line 555 of file gvl2.c.

References G_debug(), and gvl_get_vol().

## GVL_isosurf_get_flags()

int GVL_isosurf_get_flags | ( | int | id,
|  | int | isosurf_id,
|  | int * | inout )

Get isosurface flags.

Parameters

  | id | volume set id
  | isosurf_id | isosurface id
  [out] | inout | map name

Returns
  1 on success
  -1 on error

Definition at line 957 of file gvl2.c.

References G_debug(), and gvl_isosurf_get_isosurf().

## GVL_isosurf_get_maskmode()

int GVL_isosurf_get_maskmode | ( | int | id,
|  | int | isosurf_id,
|  | int * | mode )

Get isosurface mask mode.

Parameters

  id | volume set id
  isosurf_id | isosurface id
  mode | attribute mode

Returns
  1 on success
  -1 on error

Definition at line 1062 of file gvl2.c.

References gvl_isosurf_get_isosurf().

## GVL_isosurf_move_down()

int GVL_isosurf_move_down | ( | int | id,
|  | int | isosurf_id )

Move down isosurface in list.

Parameters

  id | volume set id
  isosurf_id | isosurface id

Returns
  -1 on error
  1 on success

Definition at line 777 of file gvl2.c.

References G_debug(), and gvl_get_vol().

## GVL_isosurf_move_up()

int GVL_isosurf_move_up | ( | int | id,
|  | int | isosurf_id )

Move up isosurface in list.

Parameters

  id | volume set id
  isosurf_id | isosurface id

Returns
  -1 on error
  1 on success

Definition at line 743 of file gvl2.c.

References G_debug(), and gvl_get_vol().

## GVL_isosurf_num_isosurfs()

int GVL_isosurf_num_isosurfs | ( | int | id | ) |

Get number of available isosurfaces.

Parameters

  id | volume set id

Returns
  number of isosurfaces
  -1 on error

Definition at line 1008 of file gvl2.c.

References G_debug(), and gvl_get_vol().

Referenced by GVL_delete_vol().

## GVL_isosurf_set_att_const()

int GVL_isosurf_set_att_const | ( | int | id,
|  | int | isosurf_id,
|  | int | att,
|  | float | constant )

Set constant isosurface attribute.

Attributes:

- ATT_NORM
- ATT_TOPO topography (level) constant
- ATT_COLOR color map/constant
- ATT_MASK mask map
- ATT_TRANSP transparency map/constant
- ATT_SHINE shininess map/constant
- ATT_EMIT emission map/constant

Parameters

  id | volume set id
  isosurf_id | isosurface id (0 - MAX_ISOSURFS)
  att | attribute descriptor
  constant | constant value

Returns
  1 on success
  -1 on error

Definition at line 890 of file gvl2.c.

References G_debug(), gvl_isosurf_get_isosurf(), and gvl_isosurf_set_att_const().

## GVL_isosurf_set_att_map()

int GVL_isosurf_set_att_map | ( | int | id,
|  | int | isosurf_id,
|  | int | att,
|  | const char * | filename )

Set isosurface map attribute.

Attributes:

- ATT_NORM
- ATT_TOPO topography (level) constant
- ATT_COLOR color map/constant
- ATT_MASK mask map
- ATT_TRANSP transparency map/constant
- ATT_SHINE shininess map/constant
- ATT_EMIT emission map/constant

Parameters

  id | volume set id
  isosurf_id | isosurface id (0 - MAX_ISOSURFS)
  att | attribute descriptor
  filename | map name

Returns
  1 on success
  -1 on error

Definition at line 928 of file gvl2.c.

References G_debug(), gvl_isosurf_get_isosurf(), and gvl_isosurf_set_att_map().

## GVL_isosurf_set_drawmode()

int GVL_isosurf_set_drawmode | ( | int | id,
|  | int | mode )

Set isosurface draw mode.

Parameters

  id | volume set id
  mode | draw mode

Returns
  0 on success
  -1 on error (invalid volume set id)

Definition at line 642 of file gvl2.c.

References G_debug(), and gvl_get_vol().

Referenced by Nviz_set_volume_attr_default().

## GVL_isosurf_set_drawres()

int GVL_isosurf_set_drawres | ( | int | id,
|  | int | xres,
|  | int | yres,
|  | int | zres )

Set isosurface draw resolution.

Parameters

  id | volume set id
  xres,yres,zres | x/y/z resolution value

Returns
  -1 on error (invalid values/volume set id)
  0 on success

Definition at line 581 of file gvl2.c.

References G_debug(), gvl_get_vol(), and gvl_isosurf_set_att_changed().

Referenced by Nviz_set_volume_attr_default().

## GVL_isosurf_set_flags()

int GVL_isosurf_set_flags | ( | int | id,
|  | int | isosurf_id,
|  | int | inout )

Set isosurface flags.

Parameters

  id | volume set id
  isosurf_id | isosurface id
  inout | map name

Returns
  1 on success
  -1 on error

Definition at line 983 of file gvl2.c.

References G_debug(), and gvl_isosurf_get_isosurf().

## GVL_isosurf_set_maskmode()

int GVL_isosurf_set_maskmode | ( | int | id,
|  | int | isosurf_id,
|  | int | mode )

Set mask attribute mode.

Mask attribute special: constant is set to indicate invert or no

Parameters

  id | volume set id
  isosurf_id | isosurface id
  mode | attribute mode

Returns
  mode id
  -1 on error

Definition at line 1035 of file gvl2.c.

References G_debug(), and gvl_isosurf_get_isosurf().

## GVL_isosurf_unset_att()

int GVL_isosurf_unset_att | ( | int | id,
|  | int | isosurf_id,
|  | int | att )

Unset isosurface attributes.

Parameters

  id | volume set id
  isosurf_id | isosurface id
  att | attribute id

Returns
  ?
  -1 on error

Definition at line 855 of file gvl2.c.

References G_debug(), gvl_isosurf_get_isosurf(), and gvl_isosurf_set_att_src().

## GVL_libinit()

void GVL_libinit | ( | void |  | ) |

Library initialization for volumes.

Set region extent (N,S,W,E,T,B)

Definition at line 37 of file gvl2.c.

## GVL_load_vol()

int GVL_load_vol | ( | int | id,
|  | const char * | filename )

Load 3d raster map to volume set.

Parameters

  id | volume set id
  filename | 3d raster map name

Returns
  -1 on error
  0 on success

Definition at line 256 of file gvl2.c.

References G_debug(), G_message(), gvl_file_newh(), gvl_get_vol(), and NULL.

Referenced by Nviz_new_map_obj().

## GVL_new_vol()

int GVL_new_vol | ( | void |  | ) |

Create new volume set.

Returns
  volume set id
  -1 on error

Definition at line 136 of file gvl2.c.

References G_debug(), gvl_get_new_vol(), and gvl_init_vol().

Referenced by Nviz_new_map_obj().

## GVL_num_vols()

int GVL_num_vols | ( | void |  | ) |

Get number of loaded volume sets.

Returns
  number of volume sets

Definition at line 166 of file gvl2.c.

References gvl_num_vols().

Referenced by Nviz_new_map_obj(), and Nviz_set_focus_map().

## GVL_Set_ClientData()

int GVL_Set_ClientData | ( | int | id,
|  | void * | clientd )

Set client data for volume set.

Parameters

  id | volume set id
  clientd | pointer to client data

Returns
  1 on success
  -1 on error

Definition at line 481 of file gvl2.c.

References gvl_get_vol().

## GVL_set_draw_wire()

void GVL_set_draw_wire | ( | int | id,
|  | int | draw_wire )

Set drawing wire box.

Parameters

  id | volume set id
  draw_wire | 1 for drawing wire, 0 otherwise

Definition at line 388 of file gvl2.c.

References G_debug(), and gvl_get_vol().

## GVL_set_focus_center_map()

void GVL_set_focus_center_map | ( | int | id | ) |

Set focus on map center.

Parameters

  id | volume set id

Definition at line 522 of file gvl2.c.

References G_debug(), GS_set_focus(), gvl_get_vol(), X, and Y.

Referenced by Nviz_set_focus_map().

## GVL_set_trans()

void GVL_set_trans | ( | int | id,
|  | float | xtrans,
|  | float | ytrans,
|  | float | ztrans )

Set trans ?

Parameters

  id | volume set id
  xtrans,ytrans,ztrans | x/y/z trans values

Definition at line 339 of file gvl2.c.

References G_debug(), and gvl_get_vol().

## GVL_slice_add()

int GVL_slice_add | ( | int | id | ) |

Add slice.

Parameters

  id | volume set id

Returns
  -1 on error
  1 on success

Definition at line 1200 of file gvl2.c.

References G_debug(), gvl_get_vol(), gvl_slice_init(), and NULL.

## GVL_slice_del()

int GVL_slice_del | ( | int | id,
|  | int | slice_id )

Delete slice.

Parameters

  id | volume set id
  slice_id | slice id

Returns
  -1 on error
  1 on success

Definition at line 1236 of file gvl2.c.

References G_debug(), G_free(), gvl_get_vol(), gvl_slice_freemem(), and gvl_slice_get_slice().

Referenced by GVL_delete_vol().

## GVL_slice_get_drawmode()

int GVL_slice_get_drawmode | ( | int | id,
|  | int * | mode )

Get slice draw mode.

Parameters

  | id | volume set id
  [out] | mode | draw mode

Returns
  1 on success
  -1 on error (invalid id)

Definition at line 1151 of file gvl2.c.

References gvl_get_vol().

## GVL_slice_get_drawres()

void GVL_slice_get_drawres | ( | int | id,
|  | int * | xres,
|  | int * | yres,
|  | int * | zres )

Get draw resolution of slice.

Parameters

  | id | volume set id
  [out] | xres,yres,zres | x/y/z resolution value

Definition at line 1088 of file gvl2.c.

References G_debug(), and gvl_get_vol().

## GVL_slice_get_pos()

int GVL_slice_get_pos | ( | int | id,
|  | int | slice_id,
|  | float * | x1,
|  | float * | x2,
|  | float * | y1,
|  | float * | y2,
|  | float * | z1,
|  | float * | z2,
|  | int * | dir )

Get slice position.

Parameters

  | id | volume set id
  | slice_id | slice id
  [out] | x1,y1,z1 | coordinates ?
  [out] | x2,y2,z2 | coordinates ?
  [out] | dir | direction

Returns
  -1 on error
  1 on success

Definition at line 1369 of file gvl2.c.

References gvl_get_vol(), gvl_slice_get_slice(), X, and Y.

## GVL_slice_get_transp()

int GVL_slice_get_transp | ( | int | id,
|  | int | slice_id,
|  | int * | transp )

Get slice trans ?

Parameters

  | id | volume set id
  | slice_id | slice id
  [out] | transp | transp value

Returns
  -1 on error
  1 on success

Definition at line 1489 of file gvl2.c.

References G_debug(), and gvl_slice_get_slice().

## GVL_slice_move_down()

int GVL_slice_move_down | ( | int | id,
|  | int | slice_id )

Move down slice.

Parameters

  id | volume set id
  slice_id | slice id

Returns
  -1 on error
  1 on success

Definition at line 1309 of file gvl2.c.

References G_debug(), and gvl_get_vol().

## GVL_slice_move_up()

int GVL_slice_move_up | ( | int | id,
|  | int | slice_id )

Move up slice.

Parameters

  id | volume set id
  slice_id | slice id

Returns
  -1 on error
  1 on success

Definition at line 1275 of file gvl2.c.

References G_debug(), and gvl_get_vol().

## GVL_slice_num_slices()

int GVL_slice_num_slices | ( | int | id | ) |

Get number or slices.

Parameters

  id | volume set id

Returns
  number of slices
  -1 on error

Definition at line 1342 of file gvl2.c.

References G_debug(), and gvl_get_vol().

Referenced by GVL_delete_vol().

## GVL_slice_set_drawmode()

int GVL_slice_set_drawmode | ( | int | id,
|  | int | mode )

Set slice draw mode.

Parameters

  id | volume set id
  mode | draw mode

Returns
  0 on success
  -1 on error (invalid id)

Definition at line 1175 of file gvl2.c.

References G_debug(), and gvl_get_vol().

Referenced by Nviz_set_volume_attr_default().

## GVL_slice_set_drawres()

int GVL_slice_set_drawres | ( | int | id,
|  | int | xres,
|  | int | yres,
|  | int | zres )

Set slice draw resolution.

Parameters

  id | volume set id
  xres,yres,zres | x/y/z resolution value

Returns
  0 on success
  -1 on error (invalid value or id)

Definition at line 1114 of file gvl2.c.

References G_debug(), and gvl_get_vol().

Referenced by Nviz_set_volume_attr_default().

## GVL_slice_set_pos()

int GVL_slice_set_pos | ( | int | id,
|  | int | slice_id,
|  | float | x1,
|  | float | x2,
|  | float | y1,
|  | float | y2,
|  | float | z1,
|  | float | z2,
|  | int | dir )

Get slice position.

Parameters

  id | volume set id
  slice_id | slice id
  x1,y1,z1 | coordinates ?
  x2,y2,z2 | coordinates ?
  dir | direction

Returns
  -1 on error
  1 on success

Definition at line 1429 of file gvl2.c.

References gvl_get_vol(), gvl_slice_get_slice(), X, and Y.

## GVL_slice_set_transp()

int GVL_slice_set_transp | ( | int | id,
|  | int | slice_id,
|  | int | transp )

Set slice trans ?

Parameters

  id | volume set id
  slice_id | slice id
  transp | transp value

Returns
  -1 on error
  1 on success

Definition at line 1515 of file gvl2.c.

References G_debug(), and gvl_slice_get_slice().

## GVL_vol_exists()

int GVL_vol_exists | ( | int | id | ) |

Check if volume set exists.

Parameters

  id | volume set id

Returns
  1 found
  0 not found

Definition at line 111 of file gvl2.c.

References G_debug(), gvl_get_vol(), and NULL.

Referenced by GVL_delete_vol().